RedHat: mopd-linux buffer overflow | LinuxSecurity.com
---------------------------------------------------------------------
                   Red Hat, Inc. Security Advisory

Synopsis:          mopd-linux buffer overflow
Advisory ID:       RHSA-2000:050-01
Issue date:        2000-08-08
Updated on:        2000-08-08
Product:           Red Hat Powertools
Keywords:          N/A
Cross references:  N/A
---------------------------------------------------------------------

1. Topic:

A buffer overflow has been discovered in all releases of mopd-linux
included in the 6.0, 6.1, and 6.2 releases of Powertools.

2. Relevant releases/architectures:

Red Hat Powertools 6.0 - i386, alpha, sparc
Red Hat Powertools 6.1 - i386, alpha, sparc
Red Hat Powertools 6.2 - i386, alpha, sparc

3. Problem description:

This vulnerability allows long file names to be sent from the client to the
server, causing the buffer overflow.

The server also used filenames supplied from the client directly as a part
of a format string in a syslog function call.

4. Solution:

For each RPM for your particular architecture, run:

rpm -Fvh [filename]

where filename is the name of the RPM.

5. Bug IDs fixed  (https://bugzilla.Red Hat.com/bugzilla for more info):

N/A

6. RPMs required:

Red Hat Powertools 6.2:

sparc: 
ftp://updates.Red Hat.com/powertools/6.2/sparc/mopd-linux-2.5.3-15.sparc.rpm

alpha: 
ftp://updates.Red Hat.com/powertools/6.2/alpha/mopd-linux-2.5.3-15.alpha.rpm

i386: 
ftp://updates.Red Hat.com/powertools/6.2/i386/mopd-linux-2.5.3-15.i386.rpm

sources: 
ftp://updates.Red Hat.com/powertools/6.2/SRPMS/mopd-linux-2.5.3-15.src.rpm

7. Verification:

MD5 sum                           Package Name
--------------------------------------------------------------------------
10f887fdc317e26bf94259a9c05d6212  6.2/SRPMS/mopd-linux-2.5.3-15.src.rpm
2f6bc5399f035de67197ad2d3eb96c03  6.2/alpha/mopd-linux-2.5.3-15.alpha.rpm
e26174dae148d37dbfc78c306cd6daa5  6.2/i386/mopd-linux-2.5.3-15.i386.rpm
8f54499ea64372f17a5707d4615edddc  6.2/sparc/mopd-linux-2.5.3-15.sparc.rpm

These packages are GPG signed by Red Hat, Inc. for security.  Our key
is available at:
     https://www.Red Hat.com/corp/contact.html

You can verify each package with the following command:
    rpm --checksig  

If you only wish to verify that each package has not been corrupted or
tampered with, examine only the md5sum with the following command:
    rpm --checksig --nogpg 

8. References:
 
https://www.openbsd.org/security.html#27

Thanks to Matt Power <[email protected]> for making us aware of this
vulnerability.


Copyright(c) 2000 Red Hat, Inc.

RedHat: mopd-linux buffer overflow

Summary

Solution

For each RPM for your particular architecture, run:rpm -Fvh [filename]where filename is the name of the RPM.5. Bug IDs fixed (https://bugzilla.Red Hat.com/bugzilla for more info):N/A6. RPMs required:Red Hat Powertools 6.2:sparc: ftp://updates.Red Hat.com/powertools/6.2/sparc/mopd-linux-2.5.3-15.sparc.rpmalpha: ftp://updates.Red Hat.com/powertools/6.2/alpha/mopd-linux-2.5.3-15.alpha.rpmi386: ftp://updates.Red Hat.com/powertools/6.2/i386/mopd-linux-2.5.3-15.i386.rpmsources: ftp://updates.Red Hat.com/powertools/6.2/SRPMS/mopd-linux-2.5.3-15.src.rpm7. Verification:MD5 sum Package Name--------------------------------------------------------------------------10f887fdc317e26bf94259a9c05d6212 6.2/SRPMS/mopd-linux-2.5.3-15.src.rpm2f6bc5399f035de67197ad2d3eb96c03 6.2/alpha/mopd-linux-2.5.3-15.alpha.rpme26174dae148d37dbfc78c306cd6daa5 6.2/i386/mopd-linux-2.5.3-15.i386.rpm8f54499ea64372f17a5707d4615edddc 6.2/sparc/mopd-linux-2.5.3-15.sparc.rpmThese packages are GPG signed by Red Hat, Inc. for security. Our keyis available at: https://www.Red Hat.com/corp/contact.htmlYou can verify each package with the following command: rpm --checksig If you only wish to verify that each package has not been corrupted ortampered with, examine only the md5sum with the following command: rpm --checksig --nogpg

References

https://www.openbsd.org/security.html#27 Thanks to Matt Power <[email protected]> for making us aware of this vulnerability. Copyright(c) 2000 Red Hat, Inc.

Package List

Severity
Advisory ID: RHSA-2000:050-01
Issued Date: : 2000-08-08
Updated on: 2000-08-08
Product: Red Hat Powertools
Keywords: N/A
Cross references: N/A
---------------------------------------------------------------------
1. Topic:
A buffer overflow has been discovered in all releases of mopd-linux
included in the 6.0, 6.1, and 6.2 releases of Powertools.

Topic

Relevant Releases Architectures

Red Hat Powertools 6.0 - i386, alpha, sparc

Red Hat Powertools 6.1 - i386, alpha, sparc

Red Hat Powertools 6.2 - i386, alpha, sparc

3. Problem description:

This vulnerability allows long file names to be sent from the client to the

server, causing the buffer overflow.

The server also used filenames supplied from the client directly as a part

of a format string in a syslog function call.

Bugs Fixed

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.